0

When setting up a new machine and using Sitecore Install Assistant (SIA) to install the Prerequisites for Sitecore 10.1.1 on Windows 10 64 bit, you may receive the following (abridged) error:

Unable to parse [variable('WebDeploy.Version.Compare')] - 
Exception calling "Evaluate" with "2" argument(s): 
"The running command stopped because the preference variable "ErrorActionPreference" or common parameter is set to Stop

1 Answer 1

0

If you're installing Sitecore 10, 10.1, or 10.2, SIA requires Microsoft Web Deploy 3.6 to be installed on the machine as a prerequisite to the SIA prerequisite installation. I assume that this is due to the fact that there's not a publicly available download link for this component. I was able to get around this issue using the following steps:

  1. Uninstall any newer versions of MS Web Deploy

  2. Manually install Web Deploy 3.6 from here: https://www.microsoft.com/en-us/download/details.aspx?id=43717

  3. Remove this item from the Prerequisites.json file:

        "InstallWebDeploy3.6": {
            "Type": "StartProcess",
            "Params": {
                "FilePath": "[variable('WebPlatformCmd')]",
                "ArgumentList": "/Install /AcceptEULA /SuppressReboot /Products:WDeploy36PS",
                "Wait": true
            },
            "Skip": "[variable('WebDeploy.Version.Compare')]"
        },
    

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.